## GProxyAddressEnumerator GProxyAddressEnumerator — Proxy wrapper enumerator for socket addresses |

## Properties

GSocketConnectable * | connectable | Read / Write / Construct Only
guint | default-port | Read / Write / Construct Only
GProxyResolver * | proxy-resolver | Read / Write / Construct
gchar * | uri | Read / Write / Construct Only

## Types and Values

| GProxyAddressEnumerator
struct | GProxyAddressEnumeratorClass

## Object Hierarchy

        GObject
        ╰── GSocketAddressEnumerator
            ╰── GProxyAddressEnumerator

## Includes

    #include <gio/gio.h>

## Description

GProxyAddressEnumerator is a wrapper around GSocketAddressEnumerator which takes the GSocketAddress instances returned by the GSocketAddressEnumerator and wraps them in GProxyAddress instances, using the given “proxy-resolver”.

This enumerator will be returned (for example, by `g_socket_connectable_enumerate()`) as appropriate when a proxy is configured; there should be no need to manually wrap a GSocketAddressEnumerator instance with one.

## Functions

## Types and Values

### GProxyAddressEnumerator

    typedef struct _GProxyAddressEnumerator GProxyAddressEnumerator;

A subclass of GSocketAddressEnumerator that takes another address enumerator and wraps its results in GProxyAddresses as directed by the default GProxyResolver.

### struct GProxyAddressEnumeratorClass

    struct GProxyAddressEnumeratorClass {
    };

Class structure for GProxyAddressEnumerator.

## Property Details

### The `“connectable”` property

      “connectable”              GSocketConnectable *

The connectable being enumerated.

Flags: Read / Write / Construct Only

### The `“default-port”` property

      “default-port”             guint

The default port to use if “uri” does not specify one.

Flags: Read / Write / Construct Only

Allowed values: <= 65535

Default value: 0

Since: 2.38

### The `“proxy-resolver”` property

      “proxy-resolver”           GProxyResolver *

The proxy resolver to use.

Flags: Read / Write / Construct

Since: 2.36

### The `“uri”` property

      “uri”                      gchar *

The destination URI, use none:// for generic socket.

Flags: Read / Write / Construct Only

Default value: NULL